Bug 1249898 - KVM internal error. Suberror: 1 appears when boot from network
KVM internal error. Suberror: 1 appears when boot from network
Status: CLOSED INSUFFICIENT_DATA
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: qemu-kvm-rhev (Show other bugs)
7.2
x86_64 Unspecified
high Severity high
: rc
: ---
Assigned To: Bandan Das
Virtualization Bugs
:
Depends On:
Blocks: 1253158
  Show dependency treegraph
 
Reported: 2015-08-04 01:56 EDT by Yanhui Ma
Modified: 2016-06-24 14:48 EDT (History)
11 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 1253158 (view as bug list)
Environment:
Last Closed: 2016-06-24 14:48:27 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
snapshot (25.72 KB, image/png)
2015-08-05 23:26 EDT, Yanhui Ma
no flags Details

  None (edit)
Description Yanhui Ma 2015-08-04 01:56:50 EDT
Description of problem:
KVM internal error. Suberror: 1 appears when boot from network

Version-Release number of selected component (if applicable):
3.10.0-300.el7.x86_64
qemu-kvm-rhev-2.3.0-14.el7.x86_64

How reproducible:
100%

Steps to Reproduce:
1./usr/libexec/qemu-kvm -netdev tap,id=hostnet0,vhost=on,script=/etc/qemu-ifup -device virtio-net-pci,netdev=hostnet0,id=virtio-net-pci0,mac=08:2e:5f:0a:1d:b1 -vnc :31 -vga qxl -monitor stdio
2.
3.

Actual results:
QEMU 2.3.0 monitor - type 'help' for more information
(qemu) KVM internal error. Suberror: 1
emulation failure
EAX=06f10000 EBX=06f104cc ECX=00090000 EDX=00000001
ESI=0000a244 EDI=0000b999 EBP=00092c9e ESP=00000002
EIP=00020012 EFL=00010406 [D----P-] CPL=0 II=0 A20=1 SMM=0 HLT=0
ES =0000 00000000 ffffffff 00809300
CS =0000 00000000 ffffffff 00809b00
SS =9cf2 0009cf20 ffffffff 00809300
DS =0000 00000000 ffffffff 00809300
FS =9cf2 0009cf20 ffffffff 00809300
GS =9cf2 0009cf20 ffffffff 00809300
LDT=0000 00000000 0000ffff 00008200
TR =0000 00000000 0000ffff 00008b00
GDT=     0009cf30 00000037
IDT=     00000000 0000ffff
CR0=00000010 CR2=00000000 CR3=00000000 CR4=00000000
DR0=0000000000000000 DR1=0000000000000000 DR2=0000000000000000 DR3=0000000000000000 
DR6=00000000ffff0ff0 DR7=0000000000000400
EFER=0000000000000000
Code=00 00 ff 00 ff 00 ff 00 ff 00 ff 00 fd 00 00 82 00 05 6c 6f <63> 61 6c ff 00 ff 00 ff 00 ff 00 ff 00 f4 00 00 82 00 18 33 72 64 5f 68 79 70 65 72 76 5f

(qemu) info status 
VM status: paused (internal-error)
(qemu) 


Expected results:

no error in qemu

Additional info:
3.10.0-295.el7.x86_64 also hits the issue.
Comment 2 Qian Guo 2015-08-04 02:09:11 EDT
likes bug 1088784, is it a regression?
could you test some different hosts like bug 1088784 comment 0 ?

Thanks,
Comment 3 Bandan Das 2015-08-04 19:51:03 EDT
(In reply to Qian Guo from comment #2)
> likes bug 1088784, is it a regression?
> could you test some different hosts like bug 1088784 comment 0 ?
> 
> Thanks,

I am interested to know too :) Is it on a specific host ? If it's the kernel version, did you start seeing this .295 onwards ? I don't recall any recent emulator fixes to KVM although I could be very wrong or the symptom and the cause might be different.
Comment 4 Yanhui Ma 2015-08-04 22:31:47 EDT
(In reply to Bandan Das from comment #3)
> (In reply to Qian Guo from comment #2)
> > likes bug 1088784, is it a regression?
> > could you test some different hosts like bug 1088784 comment 0 ?
> > 
> > Thanks,
> 
> I am interested to know too :) Is it on a specific host ? If it's the kernel
> version, did you start seeing this .295 onwards ? I don't recall any recent
> emulator fixes to KVM although I could be very wrong or the symptom and the
> cause might be different.

I have already tried different hosts, can still reproduce the issue.
kernel 3.10.0-292.el7.x86_64 and 3.10.0-297.el7.x86_64 also hit the issue.

host1:

processor       : 0
vendor_id       : AuthenticAMD
cpu family      : 16
model           : 2
model name      : AMD Phenom(tm) 9600B Quad-Core Processor
stepping        : 3
microcode       : 0x1000083
cpu MHz         : 2300.000
cache size      : 512 KB
physical id     : 0
siblings        : 4
core id         : 0
cpu cores       : 4
apicid          : 0
initial apicid  : 0
fpu             : yes
fpu_exception   : yes
cpuid level     : 5
wp              : yes
flags           : fpu vme de pse tsc msr pae mce cx8 apic sep mtrr pge mca cmov pat pse36 clflush mmx fxsr sse sse2 ht syscall nx mmxext fxsr_opt pdpe1gb rdtscp lm 3dnowext 3dnow constant_tsc rep_good nopl nonstop_tsc extd_apicid pni monitor cx16 popcnt lahf_lm cmp_legacy svm extapic cr8_legacy abm sse4a misalignsse 3dnowprefetch osvw ibs hw_pstate npt lbrv svm_lock
===============================================================================

host2:
processor       : 0
vendor_id       : GenuineIntel
cpu family      : 6
model           : 58
model name      : Intel(R) Core(TM) i7-3770 CPU @ 3.40GHz
stepping        : 9
microcode       : 0x1b
cpu MHz         : 1600.125
cache size      : 8192 KB
physical id     : 0
siblings        : 8
core id         : 0
cpu cores       : 4
apicid          : 0
initial apicid  : 0
fpu             : yes
fpu_exception   : yes
cpuid level     : 13
wp              : yes
flags           : fpu vme de pse tsc msr pae mce cx8 apic sep mtrr pge mca cmov pat pse36 clflush dts acpi mmx fxsr sse sse2 ss ht tm pbe syscall nx rdtscp lm constant_tsc arch_perfmon pebs bts rep_good nopl xtopology nonstop_tsc aperfmperf eagerfpu pni pclmulqdq dtes64 monitor ds_cpl vmx smx est tm2 ssse3 cx16 xtpr pdcm pcid sse4_1 sse4_2 x2apic popcnt tsc_deadline_timer aes xsave avx f16c rdrand lahf_lm ida arat epb pln pts dtherm tpr_shadow vnmi flexpriority ept vpid fsgsbase smep erms xsaveopt
bogomips        : 6784.38
clflush size    : 64
Comment 7 Yanhui Ma 2015-08-05 23:26:33 EDT
Created attachment 1059707 [details]
snapshot

Note You need to log in before you can comment on or make changes to this bug.